//-------------------------------------------------------------------------------------------------
//
// File Name:
//
//     GscAnalogBoard.cpp
//
// Description:
//
//     This file contains the implementation of the GSC analog board abstract base class.
//
// Programmer's notes:
//
//     06-06-2008:  Created file.  --mrg
//
//-------------------------------------------------------------------------------------------------

#include "math.h"
#include "time.h"
#include "GscAnalogBoard.h"

GscAnalogBoard::GscAnalogBoard()
{
  mBoardNo = 0;
}
GscAnalogBoard::GscAnalogBoard(int BoardNumber)
{
  mBoardNo = BoardNumber;
}
GscAnalogBoard::~GscAnalogBoard()
{
  mBoardNo = 0;
}
int GscAnalogBoard::GetConfigDefaults( PGSC_ANALOG_CONFIG config )
{
  return 0;
}
int GscAnalogBoard::GetConfig(PGSC_ANALOG_CONFIG config)
{
  return 0;
}
int GscAnalogBoard::SetConfig( GSC_ANALOG_CONFIG config )
{
  return 0;
}
int GscAnalogBoard::GetOption( enum GSC_OPTION_NAME optionName, int optionValue[] )
{
  return 0;
}
int GscAnalogBoard::SetOption( enum GSC_OPTION_NAME optionName, int optionValue)
{
  return 0;
}
int GscAnalogBoard::ScanInputs( int samples, double samplesPerSecond, int firstChannel, int lastChannel, char *buffer)
{
  return 0;
}
int GscAnalogBoard::ReceiveScan( char *buffer, int *count, int *transferStatus)
{
  return 0;
}
int GscAnalogBoard::RegisterInterrupt( int interrupt, GSC_CB_FUNCTION *function)
{
  return 0;
}
int GscAnalogBoard::ClearInterrupts()
{
  return 0;
}
int GscAnalogBoard::InvokeInterruptCallback()
{
  return 0;
}
int GscAnalogBoard::LocalRegisterRead( int reg, int *result )
{
  return 0;
}
int GscAnalogBoard::LocalRegisterWrite( int reg, int value )
{
  return 0;
}
int GscAnalogBoard::SetSampleRate(int sampleHz)
{
  return 0;
}
